# Tarima for Gulp

[![Build Status](https://travis-ci.org/gextech/gulp-tarima.png?branch=master)](https://travis-ci.org/gextech/gulp-tarima) [![NPM version](https://badge.fury.io/js/gulp-tarima.png)](http://badge.fury.io/js/gulp-tarima) [![Coverage Status](https://coveralls.io/repos/gextech/gulp-tarima/badge.png?branch=master)](https://coveralls.io/r/gextech/gulp-tarima?branch=master)

```bash
$ npm install gulp-tarima --save
```

**gulpfile.js**

```javascript
var gulp = require('gulp'),
    tarima = require('gulp-tarima');

// one-to-one
gulp.task('raw', function() {
  return gulp.src('src/views/**/*.*')
    .pipe(tarima())
    .pipe(gulp.dest('tmp_views'));
});

// bundle
gulp.task('join', function() {
  return gulp.src('spec/views/**/*.js.*')
    .pipe(tarima('sub/path/views.js'))
    .pipe(gulp.dest('tmp_views'));
});
```

## API

- `tarima(options)`
- `tarima(filename, callback)`

  When `filename` is provided it will be used as `options.filename`

  When `callback` is provided it will be used as `options.wrapper` if missing.

## Options

Please checkout the [Tarima's README](https://github.com/gextech/tarima) at GitHub.

> All options will be passed directly to the `parse()` and `bundle()` method respectively.
